2019-10-14 10:34 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001925FSSCPFREDpublic2009-05-17 08:32
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0001925: FRED does not check for non player ships in loadout
DescriptionI added "player_ship" to a ship for a test run then removed it. Loaded the mission in FRED and resaved it. The ship is not listed in the loadout screen but is still in the .fs2 file and the loadout screen.

So basically if you add a player ship to a mission that is later not a player ship the only way to get it back out is notepad.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010905

karajorma (administrator)

When the next nightly build goes up try this again (or just try it using the Diaspora build). I made some rather large changes to loadout and I could have fixed this behaviour while doing it.

~0010907

FUBAR-BDHR (developer)

This was with the most recent Diaspora build on 05-11. I'll try it again if there is a newer one.
+Notes

-Issue History
Date Modified Username Field Change
2009-05-11 22:03 FUBAR-BDHR New Issue
2009-05-15 16:50 karajorma Note Added: 0010905
2009-05-15 16:50 karajorma Status new => assigned
2009-05-15 16:50 karajorma Assigned To => karajorma
2009-05-15 19:45 FUBAR-BDHR Note Added: 0010907
2009-05-17 08:32 karajorma Status assigned => resolved
2009-05-17 08:32 karajorma Fixed in Version => 3.6.11
2009-05-17 08:32 karajorma Resolution open => fixed
+Issue History